[Xenial][Bionic][SRU] Update pci.ids to version 2018.07.21

Bug #1815212 reported by Eric Desrochers on 2019-02-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pciutils (Ubuntu)
Undecided
Unassigned
Xenial
Low
Eric Desrochers
Bionic
Low
Eric Desrochers

Bug Description

[Impact]

pci.ids table in Xenial seems a little bit behind in term of new device id added since last time it was updated.

Some user are observing that their new device doesn't show up because they don't exist in the pci.ids file yet.

User or troubleshooter may get a wrong impression that, for instance, the correct raid controller is not present, if the user doesn't read the PCI bus address.

While we are here, I will update Xenial and Bionic to be at the same version level (Version: 2018.07.21) of current devel release (Disco) which isn't too far behind current upstream (github) one in master branch.

x/pciutils-3.3.1/pci.ids:# Version: 2016.01.02
b/pciutils-3.5.2/pci.ids:# Version: 2017.03.16
c/pciutils-3.5.2/pci.ids:# Version: 2018.07.21
d/pciutils-3.5.2/pci.ids:# Version: 2018.07.21
upstream/pciutils/pci.ids:# Version: 2018.08.12

[Test case]

* Deploy Xenial and/or Bionic system.
* Run 'lspci' command took from the pciutils package found in the Ubuntu archive
* Look all listed devices are recognised with the proper device name/vendor/...

Here's an example took by a user using a device id (0014) not in the Xenial pci.ids table:

lspci on Xenial:
60:00.0 RAID bus controller: LSI Logic / Symbios Logic Device 0014 (rev 01)

lspci on Bionic:
60:00.0 RAID bus controller: LSI Logic / Symbios Logic MegaRAID Tri-Mode SAS3516 (rev 01)

[Pending SRU status]

* XENIAL

- Regression in autopkgtest for linux-oracle
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-xenial/xenial/amd64/l/linux-oracle/20190211_192705_fa550@/log.gz

ERROR: running version does not match source package
Source Package Version: 4.15.0-1008.10~16.04.1
Running Kernel Version: 4.4.0-142.168

==> https://launchpad.net/bugs/1723223

- Regression in autopkgtest for linux (i386): test log

Recurrent failure from various trigger
(not introduced by this ongoing SRU)
http://autopkgtest.ubuntu.com/packages/l/linux/xenial/i386

* BIONIC

- Regression in autopkgtest for linux-oracle (amd64): test log
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-bionic/bionic/amd64/l/linux-oracle/20190211_163710_b6f0a@/log.gz

Source Package Version: 4.15.0-1008.10
Running Kernel Version: 4.15.0-45.48
ERROR: running version does not match source package

==> https://launchpad.net/bugs/1723223

- Regression in autopkgtest for linux-gcp-edge (amd64): test log
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-bionic/bionic/amd64/l/linux-gcp-edge/20190211_163830_8dce2@/log.gz

Source Package Version: 4.15.0-1008.10
Running Kernel Version: 4.15.0-45.48
ERROR: running version does not match source package

==> https://launchpad.net/bugs/1723223

- Regression in autopkgtest for linux (ppc64el): test log
- Regression in autopkgtest for linux (i386): test log

Recurrent failure from various trigger
(not introduced by this ongoing SRU)
http://autopkgtest.ubuntu.com/packages/l/linux/bionic/ppc64el
http://autopkgtest.ubuntu.com/packages/l/linux/bionic/i386

[Regression Potential]

Low, no core functionality change.
The intention is to only update pci.ids table list to recognise new PCI vendor/product list, by updating it to the same version level as Cosmic and Disco has as of today.

The only thing I can think of ...
In some cases there is some device id renaming, which I guess can "possibly" impact some user script and/or HW inventory solution. If this happens to certain users, I don't expect it to have a major impact and this should can be consider low and easy to fix by the user or admin of the HW inventory solution ... IMHO.

Example:
- 67df Ellesmere [Polaris10]
+ 67df Ellesmere [Radeon RX 470/480]

[Other information]

Confirmed w/ vorlon (SRU verification team) on #ubuntu-release

https://wiki.ubuntu.com/StableReleaseUpdates#Other_safe_cases

For Long Term Support releases we regularly want to enable new hardware. Such changes are appropriate provided that we can ensure not to affect upgrades on existing hardware. For example, modaliases of newly introduced drivers must not overlap with previously shipped drivers. This also includes updating hardware description data such as udev's keymaps, media-player-info, mobile broadband vendors, or PCI vendor/product list updates.

Eric Desrochers (slashd) on 2019-02-08
description: updated
Changed in pciutils (Ubuntu):
status: New → Fix Released
tags: added: sts
description: updated
description: updated
Eric Desrochers (slashd) on 2019-02-08
summary: - Update pci.ids for pciutils (xenial)
+ [Xenial][SRU] Update pci.ids for pciutils
Changed in pciutils (Ubuntu Xenial):
status: New → In Progress
assignee: nobody → Eric Desrochers (slashd)
description: updated
description: updated
Eric Desrochers (slashd) on 2019-02-08
Changed in pciutils (Ubuntu Xenial):
importance: Undecided → Wishlist
Eric Desrochers (slashd) on 2019-02-08
description: updated
description: updated
Eric Desrochers (slashd) on 2019-02-08
description: updated
description: updated
Eric Desrochers (slashd) on 2019-02-08
description: updated
description: updated
description: updated
Eric Desrochers (slashd) on 2019-02-08
description: updated
Eric Desrochers (slashd) on 2019-02-08
description: updated
Eric Desrochers (slashd) on 2019-02-08
description: updated
Eric Desrochers (slashd) on 2019-02-10
description: updated
Eric Desrochers (slashd) on 2019-02-10
Changed in pciutils (Ubuntu Xenial):
importance: Wishlist → Low
Eric Desrochers (slashd) on 2019-02-10
description: updated
Changed in pciutils (Ubuntu Bionic):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Eric Desrochers (slashd)
Eric Desrochers (slashd) on 2019-02-10
description: updated
Eric Desrochers (slashd) on 2019-02-10
description: updated
summary: - [Xenial][SRU] Update pci.ids for pciutils
+ [Xenial][SRU] Update pci.ids to version 2018.07.21
summary: - [Xenial][SRU] Update pci.ids to version 2018.07.21
+ [Xenial][Bionic][SRU] Update pci.ids to version 2018.07.21
Eric Desrochers (slashd) on 2019-02-11
description: updated
description: updated
description: updated

Hello Eric, or anyone else affected,

Accepted pciutils into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pciutils/1:3.5.2-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in pciutils (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Eric, or anyone else affected,

Accepted pciutils into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pciutils/1:3.3.1-1.1ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in pciutils (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Eric Desrochers (slashd) wrote :

[VERIFICATION XENIAL]

I have test pciutils on different types of HW I have to my disposal.
Everything looks good on my side.

lspci shows the right device and is now more descriptive about it that it was with previous pci list.

Note : An impacted user that I'm in communication with (The one mentioned in the [Test Case] field) will also test the proposed package and provide feedback to confirm the unrecognised device is now recognised, as I couldn't myself have access to a non-recognised HW to test that part.

I'll wait for the user confirmation before marking the bug as verification done for Xenial.

Example:

diff -u lspci_without_proposed_pkg.out lspci_with_proposed_pkg.out
-3d:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller (rev 01)
+3d:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM951/PM951 (rev 01)
...
-00:14.0 USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31)
+00:14.0 USB controller: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller (rev 31)

Eric Desrochers (slashd) wrote :

[VERIFICATION BIONIC]

Bionic pci.ids version was already more up-to-date than Xenial.

On the HW I have at my disposal I don't see any change, meaning the lspci output I have with and without the proposed package remain exactly the same.

I don't see any problem with that actual package.

I will appreciate more people to test the package, hopefully with more recent HW type.

David Negreira (dnegreira) wrote :
Download full text (3.9 KiB)

[VERIFICATION BIONIC]
Weird that the Xeon is appearing there, this is a very recent Thinkpad t480.

dnegreira@freedom:~
 $ diff -u lspci-before lspci-after
--- lspci-before 2019-02-11 16:55:09.444316078 +0100
+++ lspci-after 2019-02-11 16:57:57.505861734 +0100
@@ -1,15 +1,15 @@
 00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 08)
 00:02.0 VGA compatible controller: Intel Corporation UHD Graphics 620 (rev 07)
-00:04.0 Signal processing controller: Intel Corporation Skylake Processor Thermal Subsystem (rev 08)
-00:08.0 System peripheral: Intel Corporation Skylake Gaussian Mixture Model
+00:04.0 Signal processing controller: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Thermal Subsystem (rev 08)
+00:08.0 System peripheral: Intel Corporation Xeon E3-1200 v5/v6 / E3-1500 v5 / 6th/7th Gen Core Processor Gaussian Mixture Model
 00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
 00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
 00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
-00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port (rev f1)
+00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #1 (rev f1)
 00:1c.6 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #7 (rev f1)
 00:1d.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #9 (rev f1)
 00:1d.2 PCI bridge: Intel Corporation Device 9d1a (rev f1)
-00:1f.0 ISA bridge: Intel Corporation Device 9d4e (rev 21)
+00:1f.0 ISA bridge: Intel Corporation Intel(R) 100 Series Chipset Family LPC Controller/eSPI Controller - 9D4E (rev 21)
 00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
 00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
 00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
@@ -28,4 +28,4 @@
 08:04.0 PCI bridge: Intel Corporation JHL6540 Thunderbolt 3 Bridge (C step) [Alpine Ridge 4C 2016] (rev 02)
 09:00.0 USB controller: Fresco Logic FL1100 USB 3.0 Host Controller (rev 10)
 0b:00.0 USB controller: Fresco Logic FL1100 USB 3.0 Host Controller (rev 10)
-3d:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd Device a808
+3d:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM981/PM981

### The CPU:
dnegreira@freedom:~
 $ cat /proc/cpuinfo 1 ↵
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 142
model name : Intel(R) Core(TM) i7-8550U CPU @ 1.80GHz
stepping : 10
microcode : 0x9a
cpu MHz : 794.544
cache size : 8192 KB
physical id : 0
siblings : 8
core id : 0
cpu cores : 4
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 22
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp...

Read more...

Nick Niehoff (nniehoff) wrote :

[VERIFICATION BIONIC]

Tested using lspci -vvv"

# diff old.lspci new.lspci
1582c1582
< 0f:00.0 Network controller: Broadcom Limited BCM4360 802.11ac Wireless Network Adapter (rev 03)
---
> 0f:00.0 Network controller: Broadcom Inc. and subsidiaries BCM4360 802.11ac Wireless Network Adapter (rev 03)

I believe this is expected, my motherboard on this machine:
Manufacturer: ASUSTeK COMPUTER INC.
Product Name: X99-DELUXE II

Eric Desrochers (slashd) wrote :

Thanks David,

I have the same "Xeon" entry with or without the proposed package on my Thinkpad T470s.

Without proposed package:

$ lspci | grep -i xeon
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 02)

Nick Niehoff (nniehoff) wrote :

[VERIFICATION BIONIC]

Found no differences on:
Manufacturer: Gigabyte Technology Co., Ltd.
Product Name: B85M-D3H

Eric Desrochers (slashd) on 2019-02-11
tags: added: verification-done-bionic
removed: verification-needed-bionic
Nick Niehoff (nniehoff) wrote :

[VERIFICATION BIONIC]

# diff old.lspci new.lspci
313c313
< 00:1f.0 ISA bridge: Intel Corporation 9 Series Chipset Family H97 Controller
---
> 00:1f.0 ISA bridge: Intel Corporation H97 Chipset LPC Controller

This machine:
Manufacturer: Gigabyte Technology Co., Ltd.
Product Name: H97N-WIFI

Eric Desrochers (slashd) on 2019-02-11
description: updated
description: updated
David Coronel (davecore) wrote :

[VERIFICATION BIONIC]

On an Acer Aspire V5-561P laptop:

$ diff lspci.before lspci.after
13,14c13,14
< 01:00.0 Ethernet controller: Broadcom Limited NetXtreme BCM57786 Gigabit Ethernet PCIe (rev 01)
< 01:00.1 SD Host controller: Broadcom Limited BCM57765/57785 SDXC/MMC Card Reader (rev 01)
---
> 01:00.0 Ethernet controller: Broadcom Inc. and subsidiaries NetXtreme BCM57786 Gigabit Ethernet PCIe (rev 01)
> 01:00.1 SD Host controller: Broadcom Inc. and subsidiaries BCM57765/57785 SDXC/MMC Card Reader (rev 01)

David Coronel (davecore) wrote :
Download full text (4.7 KiB)

[VERIFICATION BIONIC]

On an Asus ROG STRIX B450-I motherboard with a Ryzen 7 1700 cpu:

$ diff lspci.before lspci.after
22c22
< 00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric Device 18h Function 6
---
> 00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 6
24c24
< 01:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd Device a808
---
> 01:00.0 Non-Volatile memory controller: Samsung Electronics Co Ltd NVMe SSD Controller SM981/PM981
32c32
< 05:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device b822
---
> 05:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8822BE 802.11a/b/g/n/ac WiFi adapter

The full output:

$ lspci
00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Root Complex
00:00.2 IOMMU: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) I/O Memory Management Unit
00:01.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
00:01.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe GPP Bridge
00:01.3 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe GPP Bridge
00:02.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
00:03.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
00:03.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe GPP Bridge
00:04.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
00:07.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
00:07.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Internal PCIe GPP Bridge 0 to Bus B
00:08.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) PCIe Dummy Host Bridge
00:08.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Internal PCIe GPP Bridge 0 to Bus B
00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD] FCH SMBus Controller (rev 59)
00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD] FCH LPC Bridge (rev 51)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 0
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 1
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 2
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 3
00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 4
00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 5
00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 17h (Models 00h-0fh) Data Fabric: Device 18h; Function 6
00:18.7 Host bridge: Advanced Micro Devi...

Read more...

Eric Desrochers (slashd) on 2019-02-12
description: updated
Eric Desrochers (slashd) on 2019-02-13
tags: added: verification-done-xenial
removed: verification-needed-xenial
tags: added: verification-done
removed: verification-needed
Eric Desrochers (slashd) wrote :

[VERIFICATION XENIAL (Part 2)]

Test is base on a device not recognised on Xenial with previous pci.ids version
(see [Test Case})

* Without the proposed pkg:

# lspci |grep -i raid
60:00.0 RAID bus controller: LSI Logic / Symbios Logic Device 0014 (rev 01)
dc:00.0 RAID bus controller: LSI Logic / Symbios Logic MegaRAID SAS-3 3316 [Intruder] (rev 01)

* With the proposed pkg:
60:00.0 RAID bus controller: LSI Logic / Symbios Logic MegaRAID Tri-Mode SAS3516 (rev 01)
dc:00.0 RAID bus controller: LSI Logic / Symbios Logic MegaRAID SAS-3 3316 [Intruder] (rev 01)

The new device is now recognised as it should.

Eric Desrochers (slashd) on 2019-02-15
description: updated
Eric Desrochers (slashd) on 2019-02-18
description: updated
description: updated
description: updated

The verification of the Stable Release Update for pciutils has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pciutils - 1:3.3.1-1.1ubuntu1.3

---------------
pciutils (1:3.3.1-1.1ubuntu1.3) xenial; urgency=medium

  * d/p/09-update-2018-07-21-pciids.patch:
    - Update pci.ids to version 2018-07-21. (LP: #1815212)

 -- Eric <email address hidden> Sun, 10 Feb 2019 18:27:49 +0000

Changed in pciutils (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pciutils - 1:3.5.2-1ubuntu1.1

---------------
pciutils (1:3.5.2-1ubuntu1.1) bionic; urgency=medium

  * d/p/08-update-2018-07-21-pciids.patch:
    - Update pci.ids to version 2018-07-21. (LP: #1815212)

 -- Eric <email address hidden> Sun, 10 Feb 2019 18:25:12 +0000

Changed in pciutils (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers